## mpi-testsuite 3.2+dfsg

=== debian/changelog ===
mpi-testsuite (3.2+dfsg-1build1) zesty; urgency=medium

  * No-change rebuild using Linaro GCC.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Oct 2016 08:28:44 +0000

mpi-testsuite (3.2+dfsg-1) unstable; urgency=medium

  * Initial upload (Closes: #815718).

 -- Michael Banck <mbanck@debian.org>  Thu, 07 Jul 2016 10:50:33 +0200
