=== debian/control ===
Source: mpi-testsuite
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
               libmpich-dev,
               libopenmpi-dev,
               mpich,
               openmpi-bin
Standards-Version: 3.9.6
Homepage: http://trac.mpich.org/projects/mpich/browser/test/mpi

Package: mpi-testsuite
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MPI testsuite results
 The MPI testsuite is taken from the MPICH source tree. It exercises a wide
 range of MPI tests written in C, C++, Fortran77 and Fortran90. Both the MPI-2
 and the MPI-3 standard is targetted. Currently the following MPI
 implementations and threadlevels are tested: 
 .
  * OpenMPI, MPI_THREAD_FUNNELED
  * MPICH, MPI_THREAD_MULTIPLE
 .
 This package contains the testsuite results for each run in TAP, JUNIT and XML
 format.
