=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export OMPI_MCA_plm_rsh_agent=/bin/false

%:
	dh $@

override_dh_auto_clean:
	rm -rf build-openmpi
	rm -rf build-mpich

override_dh_auto_configure:
	mkdir -p build-openmpi
	(cd build-openmpi;  	MPICC=/usr/bin/mpicc.openmpi		\
				MPICXX=/usr/bin/mpicxx.openmpi 		\
				MPIF77=/usr/bin/mpif77.openmpi		\
				MPIFC=/usr/bin/mpif90.openmpi		\
				../configure 				\
				--prefix=/usr				\
				--enable-strictmpi			\
				--enable-threads=funneled		\
			 	--disable-largetests			\
			 	--disable-silent-rules			\
				--disable-maintainer-mode)
	for i in `find . -name "testlist" | grep -v ^..build`; 		\
	do								\
	  if [ ! -e build-openmpi/$$i ];				\
	  then								\
	    ln -s `pwd`/$$i `pwd`/build-openmpi/$$i;			\
	  fi;								\
	done
	mkdir -p build-mpich
	(cd build-mpich; 	MPICC=/usr/bin/mpicc.mpich 		\
				MPICXX=/usr/bin/mpicxx.mpich 		\
				MPIF77=/usr/bin/mpif77.mpich 		\
				MPIFC=/usr/bin/mpif90.mpich		\
				../configure 				\
				--prefix=/usr				\
				--enable-strictmpi 			\
				--enable-threads=multiple		\
			 	--disable-largetests			\
			 	--disable-silent-rules			\
				--disable-maintainer-mode)
	for i in `find . -name "testlist" | grep -v ^..build`; 		\
	do								\
	  if [ ! -e build-mpich/$$i ]; 					\
	  then								\
	    ln -s `pwd`/$$i `pwd`/build-mpich/$$i;			\
	  fi;								\
	done

#override_dh_auto_build:
	(cd build-openmpi; $(MAKE) -k					\
				MPICC=/usr/bin/mpicc.openmpi		\
				MPICXX=/usr/bin/mpicxx.openmpi		\
				MPIF77=/usr/bin/mpif77.openmpi		\
				|| /bin/true)
	(cd build-mpich; $(MAKE) -k					\
				MPICC=/usr/bin/mpicc.mpich		\
				MPICXX=/usr/bin/mpicxx.mpich		\
				MPIF77=/usr/bin/mpif77.mpich		\
				|| /bin/true)
	(cd build-mpich; $(MAKE) -k					\
				MPICC=/usr/bin/mpicc.mpich		\
				MPICXX=/usr/bin/mpicxx.mpich		\
				MPIF77=/usr/bin/mpif77.mpich		\
				|| /bin/true)

override_dh_auto_test:
	(cd build-openmpi; MPITEST_THREADLEVEL_DEFAULT=funneled		\
				./runtests 				\
				-srcdir=..				\
				-tests=./testlist			\
				-mpiversion=3.0				\
				-mpiexec=/usr/bin/mpiexec.openmpi	\
				-maxnp=2				\
				-xmlfile=summary.xml			\
				-tapfile=summary.tap			\
				-junitfile=summary.junit.xml)
	(cd build-mpich; MPITEST_THREADLEVEL_DEFAULT=multiple		\
				./runtests				\
				-srcdir=..				\
				-tests=./testlist			\
				-mpiversion=3.0				\
				-mpiexec=/usr/bin/mpiexec.mpich		\
				-maxnp=2				\
				-xmlfile=summary.xml			\
				-tapfile=summary.tap			\
				-junitfile=summary.junit.xml)
